/* Body */
body {
  background-color: #1A1B1F;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100vh;
}

/* Titres */
#titrePrincipal {
  font-size: 100px;
  font-family: 'Bebas Neue', sans-serif;
  margin-top: 100px;
  margin-bottom: 0px;
  text-align: center;
}

.titreSecondaire {
  font-size: 50px;
  font-family: 'Bebas Neue', sans-serif;
  margin-top: 30px;
  margin-bottom: 0px;
  text-align: center;
  display: none;
  flex: 2;
  margin-right: 20px;
}

/* Bouton de tri et barre de recherche */
#rechercheEtTri #nextLaunches {
  display: none;
  margin-top: 25px;
  justify-content: center;
}

#rechercheEtTri {
  margin-top: 50px;
  display: none;
  width: 100%;
  margin-bottom: 50px;
}

#rechercheEtTri>div {
  display: flex;
  width: 100%;
  padding-left: 25%;
  padding-right: 25%;
  justify-content: center;
}

#recherche {
  margin-right: 25px;
}

.dropdown {
  margin-left: 25px;
}

.ordre {
  display: none;
  text-align: left;
}

/* Bonton de retour */
.retour a {
  color: #fff;
  text-decoration: none;
}

.retour:hover a {
  color: #1A1B1F;
}

.retour {
  font-size: 30px;
  font-family: 'Bebas Neue', sans-serif;
  margin-top: 30px;
  margin-bottom: 0px;
  text-align: center;
  display: none;
  position: relative;
  z-index: 1;
  margin-left: 100px;
}

.retour::before {
  content: '';
  position: absolute;
  z-index: -1;
  top: 0;
  bottom: 0;
  left: -0.25em;
  right: -0.25em;
  background-color: #fff;
  transform-origin: bottom center;
  transform: scaleY(0.1);
  transition: all 0.1s ease-in-out;
}

.retour:hover::before {
  transform: scaleY(1);
  background-color: hsla(0, 0%, 100%, 0.9);
}

/* Couleurs pour le moment du décollage */
.comingSoon {
  color: #3596B5;
}

.today {
  color: #00C9A7;
}

.past {
  color: #DB0000;
}

/* Liste sans puces*/
.sansPuces {
  list-style-type: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  grid-gap: 10px!important;
}

.sansPuces img {
  width: auto;
}

/* liste non-ordonnée */
.listeNonOrdonne {
  list-style-type: "-  ";
  font-size: 40px;
}

.listeNonOrdonne span {
  font-family: 'Quicksand', sans-serif;
}

.listeNonOrdonne a {
  color: #fff;
}

/* Gif de chargement */
#loading {
  display: none;
  height: 64px;
}

/* Image de présention */
.presentation {
  width: 500px;
  height: auto;
}

/* Header et footer */
header {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

footer {
  text-align: center;
  margin-bottom: 20px;
  width: 100%;
}

/* Affichage des données */
#contenu {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

#donnees {
  display: none;
  font-family: 'Bebas Neue', sans-serif;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.displayInfos {
  font-size: 40px;
  display: inline-flex;
  margin-left: 50px;
  margin-right: 50px;
  column-gap: 100px;
  flex-wrap: nowrap;
  margin-top: 60px;
  align-items: center;
}

.displayInfos span {
  font-family: 'Quicksand', sans-serif;
  font-size: 39px;
}

.displayAboutSpaceX{
  font-size: 40px;
  display: inline-flex;
  margin-left: 50px;
  margin-right: 50px;
  column-gap: 100px;
  flex-wrap: nowrap;
  margin-top: 60px;
  align-items: center; 
  flex-direction: column; 
}

.cellules{
  display: inline-flex;
  flex-wrap: wrap;
  column-gap: 50px;
  margin-top: 50px;
}

.elonImg{
  width: 400px;
  height: auto;
  margin-top: 20px;
}

.imageInfo {
  text-align: center;
}

.logoSpacex{

}


/*
 * CSS pour les images qui affichent du texte au dessus d'elles (menu, décollages, crew members et fait historiques
 */

.grid {
  position: relative;
  display: inline-grid;
  max-width: 1000px;
  list-style: none;
  text-align: center;
  grid-template-columns: auto auto auto auto;
  grid-gap: 10px;
}

img {
  height: 200px;
}

.grid figure {
  position: relative;
  float: left;
  overflow: hidden;
  background: #6e848b;
  text-align: center;
  cursor: pointer;
  border-radius: 8px!important;
}

.grid figure img {
  position: relative;
  display: block;
  min-height: 100%;
  max-width: 100%;
  opacity: 0.8;
}

.grid figure figcaption {
  padding: 2em;
  color: #fff;
  text-transform: uppercase;
  font-size: 1.25em;
  font-family: 'Bebas Neue', sans-serif;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.grid figure figcaption::before,
.grid figure figcaption::after {
  pointer-events: none;
}

.grid figure figcaption,
.grid figure figcaption>a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0!important;
}

.grid figure figcaption>a {
  z-index: 1000;
  text-indent: 200%;
  white-space: nowrap;
  font-size: 0;
  opacity: 0;
}

.grid figure h2 {
  word-spacing: 5px;
  font-weight: 300;
}

.grid figure h2,
.grid figure p {
  margin: 0;
}

.grid figure p {
  letter-spacing: 1px;
}

figure.effect-sadie figcaption::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: -webkit-linear-gradient(top, rgba(72, 76, 97, 0) 0%, rgba(37, 39, 48, 0.9) 45%);
  background: linear-gradient(to bottom, rgba(72, 76, 97, 0) 0%, rgba(37, 39, 48, 0.9) 45%);
  content: '';
  opacity: 0;
  -webkit-transform: translate3d(0, 50%, 0);
  transform: translate3d(0, 50%, 0);
}

figure.effect-sadie span {
  background-color: rgba(255, 255, 255, 0.7);
  padding-left: 10px;
  padding-right: 10px;
}

figure.effect-sadie h2 {
  position: absolute;
  top: 50%;
  left: 0;
  width: 100%;
  color: #1A1B1F;
  -webkit-transition: -webkit-transform 0.35s, color 0.35s;
  transition: transform 0.35s, color 0.35s;
  -webkit-transform: translate3d(0, -50%, 0);
  transform: translate3d(0, -50%, 0);
}

figure.effect-sadie figcaption::before,
figure.effect-sadie p {
  -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
  transition: opacity 0.35s, transform 0.35s;
}

figure.effect-sadie p {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 2em;
  width: 100%;
  opacity: 0;
  -webkit-transform: translate3d(0, 10px, 0);
  transform: translate3d(0, 10px, 0);
}

figure.effect-sadie:hover h2 {
  color: #fff;
  -webkit-transform: translate3d(0, -50%, 0) translate3d(0, -40px, 0);
  transform: translate3d(0, -50%, 0) translate3d(0, -40px, 0);
}

figure.effect-sadie:hover span {
  background-color: rgba(255, 255, 255, 0);
}

figure.effect-sadie:hover figcaption::before,
figure.effect-sadie:hover p {
  opacity: 1;
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

*,
*:after,
*:before {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}


/*
 * Responsive page
 */

@media (max-width:991px) {
  #titrePrincipal {
    font-size: 75px;
    margin-bottom: 40px;
    margin-top: 40px;
  }
  .titreSecondaire {
    font-size: 40px;
  }
  footer {
    margin-top: 20px;
  }
  .retour {
    margin-left: 40px;
  }
  #rechercheEtTri>div {
    padding-left: 10%;
    padding-right: 10%;
  }
  .presentation {
    width: 300px;
  }
  .displayInfos {
    flex-direction: column;
    row-gap: 40px;
  }
  .elonImg{
    width: 330px;
    height: auto;
    margin-top: 20px;
  }
  .logoSpacex{
    height: 80px;
  }
}

@media only screen and (max-width: 600px) {
  .grid {
    grid-gap: 0px;
  }
  #titrePrincipal {
    font-size: 60px;
  }
  .titreSecondaire {
    margin-left: 20px;
    margin-right: 20px;
  }
  .retour {
    margin-left: 20px;
  }
}